getAlbumSetting(params: GetAlbumSettingReq)
Requires:
@tuya-miniapp/cloud-api≥1.0.5
Description
Time Album settings get API
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request body |
Return Value
Type: Promise<TimeAlbumSettingDto>
Album settings (TimeAlbumSettingDto: includes primary key id on TimeAlbumSettingPayload; the minituya response table has formatting errors—use types as the source of truth)
Referenced Types
interface
TimeAlbumSettingDto| Property | Type | Description |
|---|---|---|
id | string | Primary key ID |
albumName | string | Album name |
enableStatus | 0 | 1 | Enabled status |
timedCaptureConfig | string[] | Scheduled capture settings |
| Smart capture settings |
enum
VisionEventType| Value | Actual Value | Description |
|---|---|---|
VisionEventType.PRESET | 0 | Preset event |
VisionEventType.CUSTOM | 1 | Custom event |
Valid Values
TimeAlbumSettingDto.enableStatus
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
VisionEventType
| Value | Description | Since |
|---|---|---|
0 | Preset event | - |
1 | Custom event | - |